import { Separator } from "@kobalte/core/separator";

import { IconCalendar } from "@tabler/icons-solidjs";
import type { UserImage } from "../../network";

type Props = {
    item: Extract<UserImage, { type: "event" }>;
};

export const SearchCardEvent = ({ item }: Props) => {
    const { data } = item;

    return (
        <div class="absolute inset-0 p-3 bg-purple-50">
            <div class="grid grid-cols-[auto_20px] gap-1 mb-1">
                <p class="text-sm text-neutral-900 font-bold">{data.Name}</p>
                <IconCalendar size={20} class="text-neutral-500 mt-1" />
            </div>
            <p class="text-xs text-neutral-500">
                Organized by {data.Organizer?.Name ?? "unknown"} on{" "}
                {new Date(data.StartDateTime).toLocaleDateString("en-US", {
                    month: "long",
                    day: "numeric",
                    year: "numeric",
                })}
            </p>
            <Separator class="my-2" />
            <p class="text-xs text-neutral-500 line-clamp-2 overflow-hidden">
                {data.Description}
            </p>
        </div>
    );
};
